<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The GNU C++ Library API Reference</title><meta name="generator" content="DocBook XSL Stylesheets Vsnapshot" /><meta name="keywords" content="ISO C++, runtime, library" /><link rel="home" href="index.html" title="The GNU C++ Library" /><link rel="up" href="bk02.html" title="" /><link rel="prev" href="bk02.html" title="" /><link rel="next" href="bk03.html" title="" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The GNU C++ Library API Reference</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk02.html">Prev</a> </td><th width="60%" align="center"></th><td width="20%" align="right"> <a accesskey="n" href="bk03.html">Next</a></td></tr></table><hr /></div><div class="article"><div class="titlepage"><div><div><h1 class="title"><a id="api"></a>The GNU C++ Library API Reference</h1></div><div><p class="copyright">Copyright © 
      2008
    , 
      2010
    , 
      2014
     
      <a class="link" href="https://www.fsf.org" target="_top">FSF
      </a>
    </p></div><div><div class="legalnotice"><a id="id-1.4.1.2.2"></a><p>
      <a class="link" href="manual/license.html" title="License">License
      </a>
    </p></div></div></div><hr /></div><p>
  The GNU C++ library sources have been specially formatted so that
  with the proper invocation of another tool (Doxygen), a set of
  indexed reference material can generated from the sources files
  themselves. The resultant documentation is referred to as the API
  documentation, and is useful for examining the signatures of public
  member functions for the library classes, finding out what is in a
  particular include file, looking at inheritance diagrams, etc.
</p><p>
  The API documentation, rendered into HTML, can be viewed locally
  <a class="link" href="api/index.html" target="_top">for the 10.2.1 release</a>,
  online
  <a class="link" href="http://gcc.gnu.org/onlinedocs/" target="_top">for each GCC release</a>
  and
  <a class="link" href="http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen/index.html" target="_top">
  for the main development tree
  </a>
  (see the date on the first page).
</p><p>
  The rendered HTML, as above, is also available for download on the
  gcc.gnu.org site in a directory located at
   <code class="literal">&lt;URL:https://gcc.gnu.org/pub/gcc/libstdc++/doxygen/&gt;</code>.
   You will almost certainly need to use one of the
   <a class="link" href="http://gcc.gnu.org/mirrors.html" target="_top">mirror sites</a> to download
   the tarball. After unpacking, simply load libstdc++-html-*/index.html
   into a browser.
</p><p>
  In addition, a rendered set of man pages are available in the same
  location specified above. Start with C++Intro(3).
</p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk02.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="bk02.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="bk03.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top"> </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> </td></tr></table></div></body></html>